/**
* Copyright Zendesk, Inc.
*
* Use of this source code is governed under the Apache License, Version 2.0
* found at http://www.apache.org/licenses/LICENSE-2.0.
*/
import React__default, { forwardRef } from 'react';
import { useText } from '@zendeskgarden/react-theming';
import '../../../styled/Pagination/StyledPagination.js';
import { StyledPage } from '../../../styled/Pagination/StyledPage.js';
import '../../../styled/CursorPagination/StyledCursorPagination.js';
import '../../../styled/CursorPagination/StyledCursor.js';
import '../../../styled/CursorPagination/StyledIcon.js';
import '../../../styled/Pagination/StyledGap.js';
import '../../../styled/Pagination/StyledNavigation.js';

const PageComponent = forwardRef((props, ref) => {
  const text = props['aria-current'] ? `Current page, page ${props.children}` : `Page ${props.children}`;
  const ariaLabel = useText(PageComponent, props, 'aria-label', text);
  return React__default.createElement(StyledPage, Object.assign({}, props, {
    "aria-label": ariaLabel,
    ref: ref
  }));
});
PageComponent.displayName = 'Pagination.Page';
const Page = PageComponent;

export { Page };
