/**
* Copyright Zendesk, Inc.
*
* Use of this source code is governed under the Apache License, Version 2.0
* found at http://www.apache.org/licenses/LICENSE-2.0.
*/
import styled, { css } from 'styled-components';
import { math } from 'polished';
import { retrieveComponentStyles, DEFAULT_THEME } from '@zendeskgarden/react-theming';
import { StyledPage } from './StyledPage.js';

const COMPONENT_ID = 'pagination.gap';
const sizeStyles = props => {
  const shift = 2;
  const marginTop = `-${shift}px`;
  const fontSize = math(`${props.theme.fontSizes.md} + ${shift}`);
  return css(["margin-top:", ";font-size:", ";"], marginTop, fontSize);
};
const StyledGap = styled(StyledPage).attrs({
  'data-garden-id': COMPONENT_ID,
  'data-garden-version': '8.76.0'
}).withConfig({
  displayName: "StyledGap",
  componentId: "sc-1hqjltf-0"
})(["cursor:default;", ";&:hover{background-color:transparent;color:inherit;}", ";"], props => sizeStyles(props), props => retrieveComponentStyles(COMPONENT_ID, props));
StyledGap.defaultProps = {
  theme: DEFAULT_THEME
};

export { StyledGap };
