/**
* Copyright Zendesk, Inc.
*
* Use of this source code is governed under the Apache License, Version 2.0
* found at http://www.apache.org/licenses/LICENSE-2.0.
*/
import styled, { css } from 'styled-components';
import { math } from 'polished';
import { retrieveComponentStyles, DEFAULT_THEME } from '@zendeskgarden/react-theming';
import { StyledPageBase } from './StyledPageBase.js';

const COMPONENT_ID = 'pagination.page';
const sizeStyles = props => {
  const height = `${props.theme.space.base * 8}px`;
  return css(["min-width:", ";max-width:", ";&[aria-current='true']{max-width:none;}"], height, math(`${height} * 2`));
};
const StyledPage = styled(StyledPageBase).attrs({
  'data-garden-id': COMPONENT_ID,
  'data-garden-version': '8.76.0'
}).withConfig({
  displayName: "StyledPage",
  componentId: "sc-1k0een3-0"
})(["margin-left:", ";", ";&[aria-current=\"true\"]{font-weight:", ";}&", "{margin-left:0;}", ";"], props => `${props.theme.space.base}px`, props => sizeStyles(props), props => props.theme.fontWeights.semibold, props => props.theme.rtl ? ':last-of-type' : ':first-of-type', props => retrieveComponentStyles(COMPONENT_ID, props));
StyledPage.defaultProps = {
  theme: DEFAULT_THEME
};

export { StyledPage };
